워드프레스의 새로운 편집기 ‘구텐베르크’는 올바른 선택일까?

7

워드프레스의 차기 버전인 5.0에 새로운 에디터인 구텐베르크(Gutenberg)가 코어에 통합될 예정입니다.

구텐베르크를 플러그인으로 설치하여 테스트할 수 있도록 지난 달에 워드프레스 4.9.8이 릴리스되었습니다. 플러그인을 설치하면 구 버전 편집기와 구텐베르크 편집기 중 하나를 선택하여 포스트를 작성할 수 있습니다.

새로운 편집기를 경험해보고 싶은 경우 미리 설치하여 사용해볼 수 있습니다. 그러나 구텐베르크는 아직 완성되지 않았기 때문에 실제 사이트에 적용할 경우 여러 가지 문제가 발생할 수도 있습니다. (저는 안정적인 버전이 릴리스되면 사용할 생각입니다.)

하지만 플러그인 평가를 보면 구텐베르크 프로젝트가 올바른 방향으로 나가고 있는지에 대한 우려를 자아냅니다.

최근 평가를 살펴보면 10개 중 7개는 부정적인 평가입니다. 하나만 긍정적인 평가네요.

구텐베르크 플러그인 평가

구텐베르크를 플러그인으로 남겨두어서 사용자가 선택할 수 있도록 하라는 의견이 많지만 워드프레스 창시자인 매트 뮬런버그(Matt Mullenweg)가 이끄는 오토매틱(Automattic)은 많은 사용자들의 반대에도 불구하고 이 프로젝트를 밀어붙이고 있습니다. (이 때문에 독재적인 뮬런버그의 리더십에 말이 많은 것 같습니다.)

구텐베르트 때문에 워드프레스가 분열되는 것이 아닌가 하는 우려가 있습니다. 실제로 기존 편집기를 선호하는 개발자들이 워드프레스를 포크(fork)하여 독립하는 것에 대한 논의가 있었습니다.

구텐베르크가 사용자 경험을 향상시키고 이전 편집기와는 비교할 수 없는 수준으로 더욱 편리하게 글을 작성할 수 있도록 하지만, 한편으로는 이에 대한 저항이 만만치 않은 상황입니다.

구텐베르크가 워드프레스의 미래에 어떤 영향을 미칠까요? 워드프레스에 대한 신뢰도를 떨어뜨려 점유율 하락으로 이어질지, 아니면 워드프레스의 점유율을 더욱 공고히 하는 결과를 낳게 될지 흥미롭게 지켜보면 좋을 것 같습니다.

참고:

*일부 글에 제휴링크가 포함될 수 있습니다.기부를 통해 블로그 운영을 후원하실 수 있습니다.

Related Posts

7개 댓글
  1. 열매맺는나무

    무슨 일을 하든 순리대로 해야 하는데 이렇게 밀어붙이는 것이 능사는 아니라고 생각합니다.
    제 생각에도 구텐베르크는 플러그인으로 만들어 선택하도록 하는 것이 낫다고 여겨집니다.
    브런치나 네이버 스마트 에디터와 비슷한 것처럼 보이던데, 저처럼 이미지를 불러와서 사용하는 사람들은 아주 불편하더군요.

    1. Word

      구텐베르크를 살펴보니 생각보다는 복잡하네요.
      네이버 스마트 에디터보다는 훨씬 정교한 기능을 제공하는 것 같습니다.
      (복잡한 레이아웃의 페이지를 만들 때 페이지 빌더 대용으로 사용하면 유용할 것 같다는 생각이 드네요.)

      구텐베르크가 완성되어 정식 버전이 나오는 경우 사이트 속도에 영향이 없으면 그대로 사용하겠지만, 테마나 플러그인과 충돌을 일으키거나 속도에 영향을 미치면 비활성화하여 사용할 생각입니다.

  2. 이카루스

    Yoast플러그가 자주 업데이트가 있다고 했는데 구텐베르크 때문이었군요..
    아직 이렇게 호환적인 면에서 문제가 많은데 굳이 해야 할 이유가 있을까 생각을 해 보지만 이것을 안하면 다른 오픈소스 프로그램에 비해 뒤쳐진다는 느낌을 받을 것 같습니다.

    1. Word

      충돌을 일으키지 않고도 구텐베르크와 같은 플러그인을 충분히 만들 수 있지만 오토매틱에서 구텐베르크에 React를 선택했기 때문에 문제가 되고 있는 것 같습니다.

      https://wordpress.org/support/topic/will-automattic-be-using-react-for-gutenberg/

  3. Happist

    재미있게 읽었습니다.
    그런데 구텐베르크를 반대하는 입장은 어떤 요인때문에 반대하는지 알 수 잇을까요?

    1. Word

      기술적인 문제 때문이 아닐까요?

      Out of all the modern frontend frameworks, React was always the first choice for Gutenberg, even after some token debate, and weathering the storm of patent clauses. But adding a shiny new framework to a critical piece of WordPress core is highly problematic and we’ve seen it before. WordPress 3.5 was released with a new media manager, built with Backbone and landed without documentation, no clear extensibility model, and a steep learning curve for core contributors and developers with media-related plugins.

      Gutenberg has the potential to go the same way, but undoubtedly it will reduce the amount of people able to contribute to it, without learning React deeply. It also places a burden on plugin developers (in a short timescale) to learn, adapt, and get their plugins ready.

      Of course this is possible for the big guys like WooCommerce (Automattic owned, large team) and Advanced Custom Fields (independant small team, huge user base), but this will affect any plugin which registers a custom post type, or meta boxes. Most developers simply won’t have the time, inclination or skills to make them compatible with Gutenberg. We will likely see a lot of plugins broken which just won’t get fixed. That will have a detrimental effect on user experience and the WordPress ecosystem in general. ( https://deliciousbrains.com/wordpress-gutenberg/)

      custom post type을 사용하는 플러그인의 경우 자바스크립트와 React를 배워서 대응을 해주어야 하지만 그것이 쉽지 않은 것 같습니다.

      With so many themes and plugins out there, backwards compatibility is going to be a huge issue going forward. In fact, there will probably be thousands of developers that now have to do a lot of work, such as those that have integrations with TinyMCE. Out of all the WordPress updates, this is probably going to be one that causes the most work for developers. Although there might be a wrapper coming which would enable TinyMCE backwards compatibility.

      기술적인 진입 장벽 때문에 개발자들의 거부감이 큰 것으로 보입니다. 사용자 입장에서는 호환이 되도록 만들어진 테마와 플러그인을 사용하면 되지만 개발자들에게는 직접 당면한 문제이고 대응을 해주어야 하기 때문에 입장이 다른 것 같습니다.

      1. Happist

        그헐군요.
        개발자들은 광장한 커스마징을 해 놓았을테니 변화되면 이를 수정하고 업데이트하는게 쉽지는 않아보입니다.

        이번 SEO 플러그인인 Yoast플러그인이 구텐베르크와 충돌이나서 긴급 패치했었는데 이를 보면 구텐베르특 상당히 많은 변화를 수반하난 봅니다.

        아직 충분히 판단할 수준은 못되지만 최근의 인터넷 변화를 나름 잘 반영하고 있는 편집기라는 생각이 들긴합니다.

댓글 남기기